# Scrape location

```http
POST https://api.synup.com/api/v4/local-post-ideas/scrape-location
```

Triggers a scrape of the location's website to refresh the context used for post-idea generation. Provide the `siteUrl` to scrape; `trigger` optionally records what initiated the scrape.

Source: https://developer.synup.com/api/local-post-ideas/scrape-location

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Synup-Version` | string | required | API version date (YYYY-MM-DD). |

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `locationId` | string | required |  |
| `siteUrl` | string | required |  |
| `trigger` | string | optional |  |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/local-post-ideas/scrape-location' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "TG9jYXRpb246MQ==",
  "siteUrl": "https://example.com"
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successful response |
| `401` | Unauthorized - Invalid or missing API key |
